Subject: Re: bug#77054: Completion highlighting applied outside completion-lazy-hilit-fn

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 11:35:22 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 21 Mar 2025 12:41:55 +0000
> Cc: Dmitry Gutov <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On Fri, Mar 21, 2025, 11:10 João Guerra <[email-masked]> wrote:
> 
>  . Having the completion style
>  remove all prior fontification sounds a bit extreme for an interface.
>  For me, it makes more sense to be additive, but I don't know what
>  Emacs' vision is on this topic.
> 
> It's up to the style. If you like it additive keep it additive, else do what Eli suggests.
> 
>  `completion--twq-all` is doing fontification. This function doesn't
>  look like it's part of the completion frontend nor of the completion
>  style. Why is it doing fontification? Should it be doing
>  fontification?
> 
> It's part of the table. It does what it has done probably for many years. If you want to change that behavior for
> everyone, go ahead, but IME you'll eventually bother lots of people using simpler setups. If your style is
> bothered by it, remove it there just like Eli suggests. In lazy and in non-lazy situations. IOW the lazy
> optimization has nothing to do with this. 
> 
> And if for some reason you're worrying about performance, don't. The lazy optimization is largely about
> avoiding premature upfront string allocations, not propertization. And it more than likely doesn't matter for file
> tables anyway which are small compared to symbol obarrays, for instance.

No further comments within 2 weeks, so I presume the problem is
solved, and I'm closing this bug.